Incidencia #745 (closed Error: Resuelto)

Abierto hace 5 años

Última modificación 5 años

Conflicto de Cunaguaro aplicando full-upgrade en Canaima 4 b2

Informado por: erickcion Propietario: HuntingBears
Prioridad: Normal Hito: Canaima Popular 4.0~b2
Componente: Canaima Popular Versión: 4.0
Gravedad: Regular Palabras clave: cunaguaro
Cc: Asignar A:

Descripción

En la reciente actualización que reporta Canaima 4 Beta2 se generan conflictos relacionados con el navegador Cunaguaro.

$ sudo aptitude full-upgrade -W
Se instalarán los siguiente paquetes NUEVOS:     
  libmozjs23d{a} (for cunaguaro-l10n-es-es)  xulrunner-23.0{ab} (for cunaguaro-l10n-es-es)  
Se actualizarán los siguientes paquetes:
  cunaguaro (for cunaguaro-l10n-es-es)  cunaguaro-l10n-es-es  
2 paquetes actualizados, 2 nuevos instalados, 0 para eliminar y 0 sin actualizar.
Necesito descargar 21,0 MB de ficheros. Después de desempaquetar se usarán 46,2 MB.
No se satisfacen las dependencias de los siguientes paquetes:
 xulrunner-23.0 : Depende: libnss3 (>= 2:3.15) pero está instalado 2:3.14.3-1.
Las acciones siguientes resolverán estas dependencias

     Eliminar los paquetes siguientes:                     
1)     canaima-l10n-es-ve                                  
2)     canaima-web-gnome                                   
3)     cunaguaro                                           
4)     cunaguaro-l10n-es-es                                

     Mantener los paquetes siguientes en la versión actual:
5)     xulrunner-23.0 [Sin instalar]                       



¿Acepta esta solución? [Y/n/q/?]

Historial de cambios

comment:1 Cambiado el 5 años por HuntingBears

  • Estado cambiado de new to accepted
  • Prioridad cambiado de No Definido to Normal
  • Gravedad cambiado de Importante to Regular
  • Propietario cambiado de $USER a HuntingBears
  • Hito cambiado de No Definido to Canaima Popular 4.0~b2

Este error ha sido atacado agregando los backports de wheezy correspondientes a la versión 2:3.15 de nss desde http://mozilla.debian.net/pool/iceweasel-release/n/nss/ en el repositorio (debe esperarse por la actualización del repositorio para que los cambios hagan efecto).

Más tarde haré la comprobación de la resolución del ticket.

~Luis

Editado por último en fecha 5 años por HuntingBears (anterior) (diferencia)

comment:2 Cambiado el 5 años por HuntingBears

  • Estado cambiado de accepted to in_progress

Confirmada la resolución en una máquina virtual qemu con un Canaima 4.0~a1 recién instalado.

¿Alguien más puede confirmar la resolución?

~Luis

comment:3 Cambiado el 5 años por erickcion

Ahora si,

Me funciono perfectamente en Canaima 4b1:

$ sudo aptitude full-upgrade
Se instalarán los siguiente paquetes NUEVOS:     
  libmozjs23d{a} xulrunner-23.0{a} 
Se actualizarán los siguientes paquetes:
  cunaguaro cunaguaro-l10n-es-es libnss3 
3 paquetes actualizados, 2 nuevos instalados, 0 para eliminar y 0 sin actualizar.
Necesito descargar 22,0 MB de ficheros. Después de desempaquetar se usarán 46,3 MB.
¿Quiere continuar? [Y/n/?] Y
Des: 1 http://paquetes.canaima.softwarelibre.gob.ve/ kerepakupai/main libnss3 i386 2:3.15.1-1~bpo70+1 [1.070 kB]
Des: 2 http://paquetes.canaima.softwarelibre.gob.ve/ kerepakupai/main cunaguaro-l10n-es-es all 1:23.0-2 [303 kB]              
Des: 3 http://paquetes.canaima.softwarelibre.gob.ve/ kerepakupai/main libmozjs23d i386 23.0-2 [1.872 kB]                      
Des: 4 http://paquetes.canaima.softwarelibre.gob.ve/ kerepakupai/main xulrunner-23.0 i386 23.0-2 [15,9 MB]                    
Des: 5 http://paquetes.canaima.softwarelibre.gob.ve/ kerepakupai/main cunaguaro i386 23.0-2 [2.861 kB]                        
Descargados 22,0 MB en 2min. 29seg. (147 kB/s)                                                                                
(Leyendo la base de datos ... 117625 ficheros o directorios instalados actualmente.)
Preparando para reemplazar libnss3:i386 2:3.14.3-1 (usando .../libnss3_2%3a3.15.1-1~bpo70+1_i386.deb) ...
Desempaquetando el reemplazo de libnss3:i386 ...
Preparando para reemplazar cunaguaro-l10n-es-es 1:22.0~a2+20130419004013-1 (usando .../cunaguaro-l10n-es-es_1%3a23.0-2_all.deb) ...
Desempaquetando el reemplazo de cunaguaro-l10n-es-es ...
Seleccionando el paquete libmozjs23d previamente no seleccionado.
Desempaquetando libmozjs23d (de .../libmozjs23d_23.0-2_i386.deb) ...
Seleccionando el paquete xulrunner-23.0 previamente no seleccionado.
Desempaquetando xulrunner-23.0 (de .../xulrunner-23.0_23.0-2_i386.deb) ...
Preparando para reemplazar cunaguaro 22.0~a2+20130419004013-1 (usando .../cunaguaro_23.0-2_i386.deb) ...
Dejando `desviación de /usr/bin/firefox a /usr/bin/firefox.real por cunaguaro'
Desempaquetando el reemplazo de cunaguaro ...
Procesando disparadores para man-db ...
Procesando disparadores para menu ...
Procesando disparadores para desktop-file-utils ...
Procesando disparadores para gnome-menus ...
Procesando disparadores para hicolor-icon-theme ...
Procesando disparadores para mime-support ...
Configurando libnss3:i386 (2:3.15.1-1~bpo70+1) ...
Configurando libmozjs23d (23.0-2) ...
Configurando xulrunner-23.0 (23.0-2) ...
Configurando cunaguaro (23.0-2) ...
Instalando una nueva versión del fichero de configuración /etc/cunaguaro/profile/chrome/userContent-example.css ...
Instalando una nueva versión del fichero de configuración /etc/cunaguaro/searchplugins/locale/en-US/twitter.xml ...
Configurando cunaguaro-l10n-es-es (1:23.0-2) ...
Instalando una nueva versión del fichero de configuración /etc/cunaguaro/searchplugins/locale/es-ES/twitter.xml ...
Procesando disparadores para menu ...
                                                  
Estado actual: 0 actualizados [-3].

comment:4 Cambiado el 5 años por erickcion

  • Estado cambiado de in_progress to resuelta
  • Resolución establecido a Fijada

comment:5 Cambiado el 5 años por erickcion

  • Estado cambiado de resuelta to closed

Solución disponible a partir de 'cunaguaro' versión '23.0-2'

Nota: Vea TracTickets para ayuda en el uso de incidencias.